# Enum ZooKeeperServer.State

java.lang.Object
java.lang.Enum<ZooKeeperServer.State>
org.apache.zookeeper.server.ZooKeeperServer.State

All Implemented Interfaces:
  `Serializable, Comparable<ZooKeeperServer.State>`

Enclosing class:
  `ZooKeeperServer`

protected static enum ZooKeeperServer.State extends Enum<ZooKeeperServer.State>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR`
`INITIAL`
`RUNNING`
`SHUTDOWN`

## Method Summary

Modifier and Type
Method
Description
`static ZooKeeperServer.State`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ZooKeeperServer.State[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INITIAL

public static final ZooKeeperServer.State INITIAL

### RUNNING

public static final ZooKeeperServer.State RUNNING

### SHUTDOWN

public static final ZooKeeperServer.State SHUTDOWN

### ERROR

public static final ZooKeeperServer.State ERROR

## Method Details

### values

public static ZooKeeperServer.State[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ZooKeeperServer.State valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null